aboutsummaryrefslogtreecommitdiff
path: root/mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh
diff options
context:
space:
mode:
authorJoe Ludwig <[email protected]>2013-06-26 15:22:04 -0700
committerJoe Ludwig <[email protected]>2013-06-26 15:22:04 -0700
commit39ed87570bdb2f86969d4be821c94b722dc71179 (patch)
treeabc53757f75f40c80278e87650ea92808274aa59 /mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh
downloadsource-sdk-2013-39ed87570bdb2f86969d4be821c94b722dc71179.tar.xz
source-sdk-2013-39ed87570bdb2f86969d4be821c94b722dc71179.zip
First version of the SOurce SDK 2013
Diffstat (limited to 'mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh')
-rw-r--r--mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh b/mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh
new file mode 100644
index 00000000..a8f8a2d3
--- /dev/null
+++ b/mp/src/thirdparty/protobuf-2.3.0/gtest/xcode/Scripts/runtests.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# Executes the samples and tests for the Google Test Framework.
+
+# Help the dynamic linker find the path to the libraries.
+export DYLD_FRAMEWORK_PATH=$BUILT_PRODUCTS_DIR
+export DYLD_LIBRARY_PATH=$BUILT_PRODUCTS_DIR
+
+# Create some executables.
+test_executables=("$BUILT_PRODUCTS_DIR/gtest_unittest-framework"
+ "$BUILT_PRODUCTS_DIR/gtest_unittest"
+ "$BUILT_PRODUCTS_DIR/sample1_unittest-framework"
+ "$BUILT_PRODUCTS_DIR/sample1_unittest-static")
+
+# Now execute each one in turn keeping track of how many succeeded and failed.
+succeeded=0
+failed=0
+failed_list=()
+for test in ${test_executables[*]}; do
+ "$test"
+ result=$?
+ if [ $result -eq 0 ]; then
+ succeeded=$(( $succeeded + 1 ))
+ else
+ failed=$(( failed + 1 ))
+ failed_list="$failed_list $test"
+ fi
+done
+
+# Report the successes and failures to the console.
+echo "Tests complete with $succeeded successes and $failed failures."
+if [ $failed -ne 0 ]; then
+ echo "The following tests failed:"
+ echo $failed_list
+fi
+exit $failed